std::chrono::duration< _Rep, _Period >(3cxx)

NAME
std::chrono::duration< _Rep, _Period > - duration

SYNOPSIS

#include <chrono>

  Public Types

typedef _Period period
typedef _Rep rep

  Public Member Functions

template<typename _Rep2 , typename = _Require< is_convertible<const _Rep2&, rep>, __or_<__is_float<rep>, __not_<__is_float<_Rep2>>>>> constexpr duration (const _Rep2 &__rep)
duration (const duration &)=default
template<typename _Rep2 , typename _Period2 , typename = _Require< __or_<__is_float<rep>, __and_<__is_harmonic<_Period2>, __not_<__is_float<_Rep2>>>>>> constexpr duration (const duration< _Rep2, _Period2 > &__d)
constexpr rep count () const
template<typename _Rep2 = rep> _GLIBCXX17_CONSTEXPR enable_if<!treat_as_floating_point< _Rep2 >::value, duration & >::type operator%= (const duration &__d)
template<typename _Rep2 = rep> _GLIBCXX17_CONSTEXPR enable_if<!treat_as_floating_point< _Rep2 >::value, duration & >::type operator%= (const rep &__rhs)
_GLIBCXX17_CONSTEXPR duration & operator*= (const rep &__rhs)
constexpr duration operator+ () const
_GLIBCXX17_CONSTEXPR duration & operator++ ()
_GLIBCXX17_CONSTEXPR duration operator++ (int)
_GLIBCXX17_CONSTEXPR duration & operator+= (const duration &__d)
constexpr duration operator- () const
_GLIBCXX17_CONSTEXPR duration & operator-- ()
_GLIBCXX17_CONSTEXPR duration operator-- (int)
_GLIBCXX17_CONSTEXPR duration & operator-= (const duration &__d)
_GLIBCXX17_CONSTEXPR duration & operator/= (const rep &__rhs)
duration & operator= (const duration &)=default

  Static Public Member Functions

static constexpr duration max () noexcept
static constexpr duration min () noexcept
static constexpr duration zero () noexcept

Detailed Description

  template<typename _Rep, typename _Period>
struct std::chrono::duration< _Rep, _Period >"duration

Definition at line 300 of file chrono.

Member Typedef Documentation

  template<typename _Rep , typename _Period > typedef _Period std::chrono::duration< _Rep, _Period >::period

Definition at line 314 of file chrono.

  template<typename _Rep , typename _Period > typedef _Rep std::chrono::duration< _Rep, _Period >::rep

Definition at line 313 of file chrono.

Constructor & Destructor Documentation

  template<typename _Rep , typename _Period > template<typename _Rep2 , typename = _Require< is_convertible<const _Rep2&, rep>, __or_<__is_float<rep>, __not_<__is_float<_Rep2>>>>> constexpr std::chrono::duration< _Rep, _Period >::duration (const _Rep2 & __rep) [inline], [explicit], [constexpr]

Definition at line 331 of file chrono.

  template<typename _Rep , typename _Period > template<typename _Rep2 , typename _Period2 , typename = _Require< __or_<__is_float<rep>, __and_<__is_harmonic<_Period2>, __not_<__is_float<_Rep2>>>>>> constexpr std::chrono::duration< _Rep, _Period >::duration (const duration< _Rep2, _Period2 > & __d) [inline], [constexpr]

Definition at line 338 of file chrono.

Member Function Documentation

  template<typename _Rep , typename _Period > constexpr rep std::chrono::duration< _Rep, _Period >::count () const [inline], [constexpr]

Definition at line 346 of file chrono.

  template<typename _Rep , typename _Period > static constexpr duration std::chrono::duration< _Rep, _Period >::max () [inline], [static], [constexpr], [noexcept]

Definition at line 439 of file chrono.

  template<typename _Rep , typename _Period > static constexpr duration std::chrono::duration< _Rep, _Period >::min () [inline], [static], [constexpr], [noexcept]

Definition at line 435 of file chrono.

  template<typename _Rep , typename _Period > template<typename _Rep2 = rep> _GLIBCXX17_CONSTEXPR enable_if<!treat_as_floating_point< _Rep2 >::value, duration & >::type std::chrono::duration< _Rep, _Period >::operator%= (const duration< _Rep, _Period > & __d) [inline]

Definition at line 423 of file chrono.

  template<typename _Rep , typename _Period > template<typename _Rep2 = rep> _GLIBCXX17_CONSTEXPR enable_if<!treat_as_floating_point< _Rep2 >::value, duration & >::type std::chrono::duration< _Rep, _Period >::operator%= (const rep & __rhs) [inline]

Definition at line 413 of file chrono.

  template<typename _Rep , typename _Period > _GLIBCXX17_CONSTEXPR duration & std::chrono::duration< _Rep, _Period >::operator*= (const rep & __rhs) [inline]

Definition at line 395 of file chrono.

  template<typename _Rep , typename _Period > constexpr duration std::chrono::duration< _Rep, _Period >::operator+ () const [inline], [constexpr]

Definition at line 351 of file chrono.

  template<typename _Rep , typename _Period > _GLIBCXX17_CONSTEXPR duration & std::chrono::duration< _Rep, _Period >::operator++ () [inline]

Definition at line 359 of file chrono.

  template<typename _Rep , typename _Period > _GLIBCXX17_CONSTEXPR duration std::chrono::duration< _Rep, _Period >::operator++ (int) [inline]

Definition at line 366 of file chrono.

  template<typename _Rep , typename _Period > _GLIBCXX17_CONSTEXPR duration & std::chrono::duration< _Rep, _Period >::operator+= (const duration< _Rep, _Period > & __d) [inline]

Definition at line 381 of file chrono.

  template<typename _Rep , typename _Period > constexpr duration std::chrono::duration< _Rep, _Period >::operator- () const [inline], [constexpr]

Definition at line 355 of file chrono.

  template<typename _Rep , typename _Period > _GLIBCXX17_CONSTEXPR duration & std::chrono::duration< _Rep, _Period >::operator-- () [inline]

Definition at line 370 of file chrono.

  template<typename _Rep , typename _Period > _GLIBCXX17_CONSTEXPR duration std::chrono::duration< _Rep, _Period >::operator-- (int) [inline]

Definition at line 377 of file chrono.

  template<typename _Rep , typename _Period > _GLIBCXX17_CONSTEXPR duration & std::chrono::duration< _Rep, _Period >::operator-= (const duration< _Rep, _Period > & __d) [inline]

Definition at line 388 of file chrono.

  template<typename _Rep , typename _Period > _GLIBCXX17_CONSTEXPR duration & std::chrono::duration< _Rep, _Period >::operator/= (const rep & __rhs) [inline]

Definition at line 402 of file chrono.

  template<typename _Rep , typename _Period > static constexpr duration std::chrono::duration< _Rep, _Period >::zero () [inline], [static], [constexpr], [noexcept]

Definition at line 431 of file chrono.

Author

Generated automatically by Doxygen for libstdc++ from the source code.